{
  description = "Various pixelflut implementations packaged for Nix";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }: {
    overlay = import ./default.nix;
  } // (flake-utils.lib.eachDefaultSystem (system: let
    pkgs = import nixpkgs { inherit system; overlays = [ self.overlay ]; };
  in
  {
    packages = {
      inherit (pkgs)
        pixelnuke
        pixelpwnr
        shoreline
        sturmflut;
    };
  }));
}
